| Home | Libraries | People | FAQ | More

## Struct template interval_bound_type<discrete_interval< DomainT, Compare >>

boost::icl::interval_bound_type<discrete_interval< DomainT, Compare >>

## Synopsis

    // In header: <boost/icl/discrete_interval.hpp>

    template<typename DomainT, ICL_COMPARE Compare>
    struct interval_bound_type<discrete_interval< DomainT, Compare >> {
      // types
      typedef interval_bound_type type;

      // public member functions
       BOOST_STATIC_CONSTANT(bound_type, value = interval_bounds::dynamic);
    };

## Description

### `interval_bound_type` public member functions

1.      BOOST_STATIC_CONSTANT(bound_type, value = interval_bounds::dynamic);